Bug 92143 - SA explicit epoch in dep for promotion safety
SA explicit epoch in dep for promotion safety
Product: Red Hat Raw Hide
Classification: Retired
Component: spamassassin (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
Depends On:
  Show dependency treegraph
Reported: 2003-06-03 04:48 EDT by Warren Togami
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-28 02:08:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2003-06-03 04:48:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030509

Description of problem:
Good work with spamassassin-2.55-1.  Only one very minor comment.

The spec has "BuildRequires: perl >= 2:5.8.0" with the explicit epoch:version
which is good, however earlier in the spec you have "Requires: perl >= 5.004"
which would be the actual cause of a problem should perl epoch ever increment. 
Please consider "Requires: perl >= 2:5.004".

If you are not familiar with the epoch promotion issue, read the extremely long
recent threads on rpm-list where people are very upset.  Use "rpm -Vav
--nofiles" to see the many many instances in RH where deps-with-versions are
missing an epoch... all potential epoch promotion clashes in for rpmvercmp in
the future.

Yeah, this issue probably never would be triggered since Epoch is very unlikely
to ever increment for perl, but explicitness for safety should not hurt.

Version-Release number of selected component (if applicable):
Comment 1 Chip Turner 2003-06-03 09:38:39 EDT
fixed in cvs, should be in the next build

Note You need to log in before you can comment on or make changes to this bug.